#include <stdio.h>
int main()
{
    int N, i, j, y;
    float x;
    scanf("%d",&N);
    y=N;
    float P[N];
    float A[N];
    float niz[N];
    for ( i = 0; i < N; i++ )
    {
      scanf("%f", &A[i]);
      scanf("%f", &P[i]);
    }
    x=A[0];
    for (int i = 0; i < N; i++)                  
	{
		for (int j = 0; j < N; j++)            
		{
			if (P[j] > P[i])               
			{
				int poredjano = P[i];         
				P[i] = P[j];          
				P[j] = poredjano;         
			}  
		}
	}
	    for( i = 0 ; i < N; i++)
	    {
	    niz[i]=y*x*P[i]/100;
	    y--;
	    }
	for (i = 1; i < N; i++) {
        if (niz[0] < niz[i])
            niz[0] = niz[i];
    }
    printf("%f", niz[0]);
    return 0;
}